<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.all</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;all
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.all-module.html">Module pyxmpp.all</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2003-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"><tt class="py-comment"># pylint: disable-msg=W0611</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring">"""Convenience module containing most important objects from pyxmpp package.</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-docstring">Suggested usage::</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-docstring">import pyxmpp.all</tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"><tt class="py-docstring">(imports all important names into pyxmpp namespace)"""</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"><tt class="py-string">"""PyXMPP - Jabber/XMPP protocol implementation"""</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line"> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-1" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-1', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-2" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoCacheFetcherBase.stream=pyxmpp.jabber.disco.DiscoCacheFetcherBase-class.html#stream,Module pyxmpp.stream=pyxmpp.stream-module.html"><a title="pyxmpp.jabber.disco.DiscoCacheFetcherBase.stream
pyxmpp.stream" class="py-name" href="#" onclick="return doclink('link-2', 'stream', 'link-2');">stream</a></tt> <tt class="py-keyword">import</tt> <tt id="link-3" class="py-name" targets="Class pyxmpp.stream.Stream=pyxmpp.stream.Stream-class.html"><a title="pyxmpp.stream.Stream" class="py-name" href="#" onclick="return doclink('link-3', 'Stream', 'link-3');">Stream</a></tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-4" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-4', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-5" class="py-name" targets="Module pyxmpp.streambase=pyxmpp.streambase-module.html"><a title="pyxmpp.streambase" class="py-name" href="#" onclick="return doclink('link-5', 'streambase', 'link-5');">streambase</a></tt> <tt class="py-keyword">import</tt> <tt id="link-6" class="py-name" targets="Class pyxmpp.exceptions.StreamError=pyxmpp.exceptions.StreamError-class.html"><a title="pyxmpp.exceptions.StreamError" class="py-name" href="#" onclick="return doclink('link-6', 'StreamError', 'link-6');">StreamError</a></tt><tt class="py-op">,</tt><tt id="link-7" class="py-name" targets="Class pyxmpp.exceptions.FatalStreamError=pyxmpp.exceptions.FatalStreamError-class.html"><a title="pyxmpp.exceptions.FatalStreamError" class="py-name" href="#" onclick="return doclink('link-7', 'FatalStreamError', 'link-7');">FatalStreamError</a></tt><tt class="py-op">,</tt><tt id="link-8" class="py-name" targets="Class pyxmpp.exceptions.StreamParseError=pyxmpp.exceptions.StreamParseError-class.html"><a title="pyxmpp.exceptions.StreamParseError" class="py-name" href="#" onclick="return doclink('link-8', 'StreamParseError', 'link-8');">StreamParseError</a></tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-9" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-9', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-10" class="py-name" targets="Module pyxmpp.streamtls=pyxmpp.streamtls-module.html"><a title="pyxmpp.streamtls" class="py-name" href="#" onclick="return doclink('link-10', 'streamtls', 'link-10');">streamtls</a></tt> <tt class="py-keyword">import</tt> <tt id="link-11" class="py-name" targets="Class pyxmpp.exceptions.StreamEncryptionRequired=pyxmpp.exceptions.StreamEncryptionRequired-class.html"><a title="pyxmpp.exceptions.StreamEncryptionRequired" class="py-name" href="#" onclick="return doclink('link-11', 'StreamEncryptionRequired', 'link-11');">StreamEncryptionRequired</a></tt><tt class="py-op">,</tt><tt id="link-12" class="py-name" targets="Variable pyxmpp.streamtls.tls_available=pyxmpp.streamtls-module.html#tls_available"><a title="pyxmpp.streamtls.tls_available" class="py-name" href="#" onclick="return doclink('link-12', 'tls_available', 'link-12');">tls_available</a></tt><tt class="py-op">,</tt><tt id="link-13" class="py-name" targets="Class pyxmpp.streamtls.TLSSettings=pyxmpp.streamtls.TLSSettings-class.html"><a title="pyxmpp.streamtls.TLSSettings" class="py-name" href="#" onclick="return doclink('link-13', 'TLSSettings', 'link-13');">TLSSettings</a></tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-14" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-14', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-15" class="py-name" targets="Module pyxmpp.clientstream=pyxmpp.clientstream-module.html,Module pyxmpp.jabber.clientstream=pyxmpp.jabber.clientstream-module.html"><a title="pyxmpp.clientstream
pyxmpp.jabber.clientstream" class="py-name" href="#" onclick="return doclink('link-15', 'clientstream', 'link-15');">clientstream</a></tt> <tt class="py-keyword">import</tt> <tt id="link-16" class="py-name" targets="Class pyxmpp.clientstream.ClientStream=pyxmpp.clientstream.ClientStream-class.html"><a title="pyxmpp.clientstream.ClientStream" class="py-name" href="#" onclick="return doclink('link-16', 'ClientStream', 'link-16');">ClientStream</a></tt><tt class="py-op">,</tt><tt id="link-17" class="py-name" targets="Class pyxmpp.exceptions.ClientStreamError=pyxmpp.exceptions.ClientStreamError-class.html"><a title="pyxmpp.exceptions.ClientStreamError" class="py-name" href="#" onclick="return doclink('link-17', 'ClientStreamError', 'link-17');">ClientStreamError</a></tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-18" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-18', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-19" class="py-name" targets="Module pyxmpp.client=pyxmpp.client-module.html,Module pyxmpp.jabber.client=pyxmpp.jabber.client-module.html"><a title="pyxmpp.client
pyxmpp.jabber.client" class="py-name" href="#" onclick="return doclink('link-19', 'client', 'link-19');">client</a></tt> <tt class="py-keyword">import</tt> <tt id="link-20" class="py-name" targets="Class pyxmpp.client.Client=pyxmpp.client.Client-class.html"><a title="pyxmpp.client.Client" class="py-name" href="#" onclick="return doclink('link-20', 'Client', 'link-20');">Client</a></tt><tt class="py-op">,</tt><tt id="link-21" class="py-name" targets="Class pyxmpp.exceptions.ClientError=pyxmpp.exceptions.ClientError-class.html"><a title="pyxmpp.exceptions.ClientError" class="py-name" href="#" onclick="return doclink('link-21', 'ClientError', 'link-21');">ClientError</a></tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-22" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-22', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-23" class="py-name" targets="Module pyxmpp.iq=pyxmpp.iq-module.html"><a title="pyxmpp.iq" class="py-name" href="#" onclick="return doclink('link-23', 'iq', 'link-23');">iq</a></tt> <tt class="py-keyword">import</tt> <tt id="link-24" class="py-name" targets="Class pyxmpp.iq.Iq=pyxmpp.iq.Iq-class.html"><a title="pyxmpp.iq.Iq" class="py-name" href="#" onclick="return doclink('link-24', 'Iq', 'link-24');">Iq</a></tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-25" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-25', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-26" class="py-name" targets="Module pyxmpp.presence=pyxmpp.presence-module.html"><a title="pyxmpp.presence" class="py-name" href="#" onclick="return doclink('link-26', 'presence', 'link-26');">presence</a></tt> <tt class="py-keyword">import</tt> <tt id="link-27" class="py-name" targets="Class pyxmpp.presence.Presence=pyxmpp.presence.Presence-class.html"><a title="pyxmpp.presence.Presence" class="py-name" href="#" onclick="return doclink('link-27', 'Presence', 'link-27');">Presence</a></tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-28" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-28', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-29" class="py-name" targets="Variable pyxmpp.exceptions.ProtocolError.message=pyxmpp.exceptions.ProtocolError-class.html#message,Module pyxmpp.message=pyxmpp.message-module.html"><a title="pyxmpp.exceptions.ProtocolError.message
pyxmpp.message" class="py-name" href="#" onclick="return doclink('link-29', 'message', 'link-29');">message</a></tt> <tt class="py-keyword">import</tt> <tt id="link-30" class="py-name" targets="Class pyxmpp.message.Message=pyxmpp.message.Message-class.html"><a title="pyxmpp.message.Message" class="py-name" href="#" onclick="return doclink('link-30', 'Message', 'link-30');">Message</a></tt> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-31" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-31', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-32" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoItem.jid=pyxmpp.jabber.disco.DiscoItem-class.html#jid,Module pyxmpp.jid=pyxmpp.jid-module.html"><a title="pyxmpp.jabber.disco.DiscoItem.jid
pyxmpp.jid" class="py-name" href="#" onclick="return doclink('link-32', 'jid', 'link-32');">jid</a></tt> <tt class="py-keyword">import</tt> <tt id="link-33" class="py-name" targets="Class pyxmpp.jid.JID=pyxmpp.jid.JID-class.html"><a title="pyxmpp.jid.JID" class="py-name" href="#" onclick="return doclink('link-33', 'JID', 'link-33');">JID</a></tt><tt class="py-op">,</tt><tt id="link-34" class="py-name" targets="Class pyxmpp.exceptions.JIDError=pyxmpp.exceptions.JIDError-class.html"><a title="pyxmpp.exceptions.JIDError" class="py-name" href="#" onclick="return doclink('link-34', 'JIDError', 'link-34');">JIDError</a></tt> </tt>
<a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-35" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-35', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-36" class="py-name" targets="Module pyxmpp.roster=pyxmpp.roster-module.html"><a title="pyxmpp.roster" class="py-name" href="#" onclick="return doclink('link-36', 'roster', 'link-36');">roster</a></tt> <tt class="py-keyword">import</tt> <tt id="link-37" class="py-name" targets="Class pyxmpp.roster.Roster=pyxmpp.roster.Roster-class.html"><a title="pyxmpp.roster.Roster" class="py-name" href="#" onclick="return doclink('link-37', 'Roster', 'link-37');">Roster</a></tt><tt class="py-op">,</tt><tt id="link-38" class="py-name" targets="Class pyxmpp.roster.RosterItem=pyxmpp.roster.RosterItem-class.html"><a title="pyxmpp.roster.RosterItem" class="py-name" href="#" onclick="return doclink('link-38', 'RosterItem', 'link-38');">RosterItem</a></tt> </tt>
<a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-39" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-39', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-40" class="py-name" targets="Module pyxmpp.exceptions=pyxmpp.exceptions-module.html"><a title="pyxmpp.exceptions" class="py-name" href="#" onclick="return doclink('link-40', 'exceptions', 'link-40');">exceptions</a></tt> <tt class="py-keyword">import</tt> <tt class="py-op">*</tt> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line"> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line"><tt class="py-keyword">for</tt> <tt id="link-41" class="py-name" targets="Variable pyxmpp.all.name=pyxmpp.all-module.html#name,Variable pyxmpp.interfaces.name=pyxmpp.interfaces-module.html#name,Variable pyxmpp.jabber.all.name=pyxmpp.jabber.all-module.html#name,Variable pyxmpp.jabber.disco.DiscoIdentity.name=pyxmpp.jabber.disco.DiscoIdentity-class.html#name,Variable pyxmpp.jabber.disco.DiscoItem.name=pyxmpp.jabber.disco.DiscoItem-class.html#name,Variable pyxmpp.jabberd.all.name=pyxmpp.jabberd.all-module.html#name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-41', 'name', 'link-41');">name</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">dir</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">    <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt id="link-42" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-42', 'name', 'link-41');">name</a></tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"_"</tt><tt class="py-op">)</tt> <tt class="py-keyword">and</tt> <tt id="link-43" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-43', 'name', 'link-41');">name</a></tt> <tt class="py-op">!=</tt> <tt class="py-string">"pyxmpp"</tt><tt class="py-op">:</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line">        <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt id="link-44" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-44', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">,</tt><tt id="link-45" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-45', 'name', 'link-41');">name</a></tt><tt class="py-op">,</tt><tt class="py-name">globals</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">[</tt><tt id="link-46" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-46', 'name', 'link-41');">name</a></tt><tt class="py-op">]</tt><tt class="py-op">)</tt> </tt>
<a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"> </tt>
<a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:11 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
